"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Waiter_1 = require("./Waiter");
var waiter = new Waiter_1.default();
var uid = 0;
function useLocalWait(opts) {
    if (opts === void 0) { opts = {}; }
    var _a = react_1.useMemo(function () {
        var id = uid++;
        var wait = function (order) { return waiter.wait(id, order); };
        return [id, wait];
    }, []), id = _a[0], wait = _a[1];
    var isWaiting = waiter.useWait(id, opts);
    return [isWaiting, wait];
}
exports.default = useLocalWait;
